keyword — Keyword-based insights (Hit Only OR Miss Only)LLM — AI-based insightsinsight_name * — must be unique (max 255 characters)insight_type * — keyword or LLMindicator_score_type * — Pass/Failinsight_status * — active, inactive, draft, pending, pending_update, deletedgroup_list * — at least one group ID (Available for)start_date * — YYYY-MM-DD or YYYY-MM-DD HH:mm:ss formatquestion * — Question to evaluateexamples * — Examples of expected outputguidelines * — Guidelines the insight should followhelp_text — Help text visible to agentsoutcome_description — Output descriptioncurl --location 'https://platform-api.convirza.com/v3/insights' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"insight_name": "Agent Greeting Detection",
"insight_type": "keyword",
"insight_help": "Detects when agent uses proper greeting",
"indicator_score_type": "Pass/Fail",
"insight_status": "active",
"hit_outcome_by": "Agent",
"hit_keywords": "hello, hi, good morning, good afternoon, welcome",
"hit_mention": "mentions",
"miss_outcome_by": "",
"miss_keywords": "",
"miss_mention": "",
"group_list": [
{
"id": 75480
}
],
"start_date": "2026-05-06 10:00:00"
}'{
"code": 200,
"message": "Success",
"data": {
"insight_id": 123
},
"request_id": "550e8400-e29b-41d4-a716-446655440000",
"timestamp": "2026-01-20T12:34:56.789Z"
}